#!/usr/bin/python
# -*- coding: utf-8 -*-

# ce script crée un fichier scene.txt contenant des objets aléatoires

from random import uniform, randint

with open('scene.ini', 'w') as scene:

    # configuration
    scene.write('[Config]\n')
    scene.write('width=800\n')
    scene.write('height=600\n')
    scene.write('echelle=2\n')
    scene.write('champ=35\n')
    scene.write('maxreflets=5\n')
    scene.write('filename=image.png\n')
    scene.write('\n')

    # créer des sphères
    for i in range(1,50):
        scene.write('[Sphere %d]\n'%i)
        scene.write('centre=%.2f %.2f %.2f\n'%(0.25*randint(-15,+15), 0.25*randint(-15, +15), 0.25*randint(0,12)+10))
        scene.write('rayon=%.2f\n'%uniform(0.125, 1.25))
        scene.write('Kd=%.2f %.2f %.2f\n'%(uniform(0,1), uniform(0,1), uniform(0,1)))
        scene.write('Ks=%.2f %.2f %.2f\n'%(uniform(0,1), uniform(0,1), uniform(0,1)))
        scene.write('ns=%d\n'%(15*randint(5, 25)))
        scene.write('\n')

    # créer des lampes
    for i in range(1,20):
        scene.write('[Lampe %d]\n'%i)
        scene.write('position=%.2f %.2f %.2f\n'%(uniform(-12,+12), uniform(-12, +12), uniform(5,20)))
        scene.write('couleur=%.2f %.2f %.2f\n'%(uniform(0,1), uniform(0,1), uniform(0,1)))
        scene.write('\n')
